package com.keyboard.themes.key.resconfig;



import java.util.ArrayList;
import java.util.List;

public class KeyboardLayout {
    private String name;
    private List<Key> keys = new ArrayList<>();


    public KeyboardLayout(String name) {
        this.name = name;
    }

    // Getters and Setters
    public String getName() {
        return name;
    }

    public List<Key> getKeys() {
        return keys;
    }

    public void addKey(Key key) {
        this.keys.add(key);
    }

    public Key getLastKey() {
        return keys.isEmpty() ? null : keys.get(keys.size() - 1);
    }


}